Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Class PluginManagerAwareBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.plugins.support.aware.PluginManagerAwareBeanPostProcessor

    public class PluginManagerAwareBeanPostProcessor
    extends BeanPostProcessorAdapter

Auto-injects beans that implement PluginManagerAware.

Authors:
  Graeme Rocher

Since:
  1.2

Constructor Summary
`PluginManagerAwareBeanPostProcessor(GrailsPluginManager pluginManager)`

Method Summary
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Constructor Detail

### PluginManagerAwareBeanPostProcessor

    public PluginManagerAwareBeanPostProcessor(GrailsPluginManager pluginManager)

Method Detail

### postProcessBeforeInitialization

    @Override
    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

Groovy Documentation